declare const _default: {
    extends: string[];
    parser: string;
    plugins: string[];
    env: {
        browser: boolean;
        node: boolean;
        es6: boolean;
        mocha: boolean;
        jest: boolean;
        jasmine: boolean;
    };
    rules: {
        'generator-star-spacing': number;
        'function-paren-newline': number;
        'import/no-unresolved': number;
        'import/order': number;
        'import/no-named-as-default': number;
        'import/no-cycle': number;
        'import/prefer-default-export': number;
        'import/no-default-export': number;
        'import/no-extraneous-dependencies': number;
        'import/named': number;
        'import/no-named-as-default-member': number;
        'import/no-duplicates': number;
        'import/no-self-import': number;
        'import/extensions': number;
        'import/no-useless-path-segments': number;
        'sort-imports': number;
        'class-methods-use-this': number;
        'no-confusing-arrow': number;
        'linebreak-style': number;
        'no-prototype-builtins': string;
        'unicorn/prevent-abbreviations': string;
        'arrow-body-style': number;
        'arrow-parens': number;
        'object-curly-newline': number;
        'implicit-arrow-linebreak': number;
        'operator-linebreak': number;
        'eslint-comments/no-unlimited-disable': number;
        'no-param-reassign': number;
        'space-before-function-paren': number;
    };
    settings: {
        'import/resolver': {
            node: {
                extensions: string[];
            };
        };
        'import/parsers': {
            '@typescript-eslint/parser': string[];
        };
        'import/extensions': string[];
        'import/external-module-folders': string[];
        polyfills: string[];
    };
    parserOptions: {
        ecmaFeatures: {
            jsx: boolean;
        };
        babelOptions: {
            presets: string[];
            plugins: ((string | {
                legacy: boolean;
            })[] | (string | {
                loose: boolean;
            })[])[];
        };
        requireConfigFile: boolean;
        project: string;
    };
};

export { _default as default };
